MONGOC_GRIDFS_FILE_REMOVE(3)

NAME
mongoc_gridfs_file_remove - mongoc_gridfs_file_remove()

SYNOPSIS

bool
mongoc_gridfs_file_remove (mongoc_gridfs_file_t *file, bson_error_t *error);

PARAMETERS

•   file: A mongoc_gridfs_file_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

Removes file and its data chunks from the MongoDB server.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

ERRORS

Errors are propagated via the error parameter.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc